    /* MAIN SIDEBAR CSS */
.sidebar[data-background-color=black] {
    background: #1c292e
}


.wrapper {
    position: relative;
    top: 0;
    height: 99vh;
}

.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 2;
    width: 230px;
    /* box-shadow: 0 16px 38px -12px rgba(0, 0, 0, .56), 0 4px 25px 0 rgba(0, 0, 0, .12), 0 8px 10px -5px rgba(0, 0, 0, .2) */
}
/* .sidebar {
    z-index: 999999;
} */
.sidebar-img{
    /* height: 22px; */
    cursor: pointer;
}
.sidebar #logo-title{
    padding-left: 5px !important;
    font-size: 17px;
    letter-spacing: 0.5px;
    font-weight: 600;
    color: #61d6c5;
}
.sidebar #logo-title img {
    margin-right: -3px;
}
.sidebar .caret {
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 2px;
    vertical-align: middle;
    border-top: 4px dashed;
    border-top: 4px solid\9;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent
}

.sidebar .sidebar-wrapper {
    position: relative;
    height: calc(100vh - 75px);
    overflow: auto;
    width: 230px;
    z-index: 4;
    padding-bottom: 30px
}

.sidebar .sidebar-wrapper .dropdown .dropdown-backdrop {
    display: none!important
}

.sidebar .sidebar-wrapper .navbar-form {
    border: none;
    box-shadow: none
}

.sidebar .sidebar-wrapper .navbar-form .input-group {
    font-size: 1.7em;
    height: 36px;
    width: 78%;
    padding-left: 17px
}

.sidebar .sidebar-wrapper .user .user-info [data-toggle=collapse]~div>ul>li>a span,
.sidebar .sidebar-wrapper>.nav [data-toggle=collapse]~div>ul>li>a span {
    display: inline-block
}

.sidebar .sidebar-wrapper .user .user-info [data-toggle=collapse]~div>ul>li>a .sidebar-normal,
.sidebar .sidebar-wrapper>.nav [data-toggle=collapse]~div>ul>li>a .sidebar-normal {
    margin: 0;
    position: relative;
    transform: translateX(0);
    opacity: 1;
    white-space: nowrap;
    display: block
}

.sidebar .sidebar-wrapper .user .user-info [data-toggle=collapse]~div>ul>li>a .sidebar-mini,
.sidebar .sidebar-wrapper>.nav [data-toggle=collapse]~div>ul>li>a .sidebar-mini {
    text-transform: uppercase;
    width: 30px;
    margin-right: 15px;
    text-align: center;
    letter-spacing: 1px;
    position: relative;
    float: left;
    display: inherit
}

.sidebar .sidebar-wrapper .user .user-info [data-toggle=collapse]~div>ul>li>a i,
.sidebar .sidebar-wrapper>.nav [data-toggle=collapse]~div>ul>li>a i,
.sidebar .sidebar-wrapper>.nav [data-toggle=collapse]~div>ul>li>a .sidebar-mini {
    font-size: 17px;
    line-height: 20px;
    width: 26px
}
/* .sidebar .sidebar-wrapper>.nav [data-toggle=collapse]~div>ul>li>a .sidebar-mini{
    display: none;
} */
.sidebar span.sidebar-normal {
    color: #9fa5a7;
    font-size: 12px;
    padding-left: 25px !important;
}
.sidebar .nav {
    display: block;
}
.sidebar li.active ul.nav {
    background: rgba(0,0,0,0.4);
    padding: 5px 0;
}
.sidebar ul li:focus{
    outline: none;
}
.sidebar ul li {
    margin-top: 4px;
    padding-left: 5px;
}
.sidebar li.active {
    background: #000000;
}
/* .sidebar .show ul li {
    margin-top: 0;
} */
.collapse.show{
    background: #1c292e;
}
.sidebar .nav .caret {
    margin-top: 10px;
    position: absolute;
    right: 6px
}
.sidebar .dot-mini {
     width: 8px !important;
    height: 8px;
    background: #a5a2a2;
    border-radius: 10px;
    margin-top: 5px;
    margin-left: 3px;
}
.collapse.show .active .dot-mini{
    background: #ffffff;
}

.sidebar .nav li>a:focus,
.sidebar .nav li>a:hover {
    background-color: transparent;
    outline: none
}
.cmp-name{
    text-align: center;
    width: inherit;
    
}
.cmp-name h5 {
    font-size: 14px;
    letter-spacing: 0.15px;
    font-weight: normal;
}
.top-refresh {
    padding: 0px 8px 0 6px;
    cursor: pointer;
    display: inline-block;
}
.top-refresh img {
    width: 22px;
}
.userLogin-detail.top-refresh img {
    /* width: 22px; */
}
.top-refresh:nth-child(3),
.top-refresh:nth-child(4) {
    margin-right: 0;
}
.userLogin-detail.show .dropdown-menu.show {
    left: inherit;
    padding: 0;
    right: 0;

}
.userLogin-detail .dropdown-divider{
    margin: 0;
}
.userLogin-detail .material-icons{
    font-size: 30px;
    padding-top: 10px;
    cursor: pointer;
}
.sidebar .nav li.active>[data-toggle=collapse],
.sidebar .nav li .dropdown-menu a:focus,
.sidebar .nav li .dropdown-menu a:hover,
.sidebar .nav li:hover>a {
    /* background-color: hsla(0, 0%, 78%, .2); */
    color: #3c4858;
    box-shadow: none
}

.sidebar .nav li.active>[data-toggle=collapse] i {
    color: #a9afbb
}
.collapse.show .active .sidebar-normal {
    color: #ffffff;
    background: #000000;
    padding-top: 5px;
    padding-bottom: 5px;
}
/* .sidebar-wrapper .collapse.show{
    background: #000000;
} */

/* .sidebar .nav li.active>a,
.sidebar .nav li.active>a i {
    color: #fff
} */

.sidebar .nav li.separator {
    margin: 15px 0
}

.sidebar .nav li.separator:after {
    width: calc(100% - 30px);
    content: "";
    position: absolute;
    height: 1px;
    left: 15px;
    background-color: hsla(0, 0%, 71%, .3)
}

.sidebar .nav li.separator+li {
    margin-top: 31px
}

.sidebar .nav p {
    margin: 0;
    line-height: 25px;
    font-size: 13px;
    position: relative;
    display: block;
    height: auto;
    white-space: nowrap;
    color: #ffffff;
    opacity: 0.7;
}
.sidebar .nav i img{
    width: 20px;
}
.sidebar .nav i {
    /* font-size: 18px; */
    float: left;
    margin-right:10px;
    line-height: 24px;
    width: 22px;
    height: 22px;
    text-align: center;
    opacity: 0.7;
    color: #ffffff;
}
.sidebar li.active a i {
    width: 25px;
    height: 25px;
    border-radius: 3px;
    background-color: #1aaae2;
    line-height: 25px;
    margin-top: 0;
}
.sidebar li.active a i, .sidebar li.active a p {
    color: #fff;
    opacity: 1;
}

.sidebar .nav li .dropdown-menu a,
.sidebar .nav li a {
    margin: 0px 0px 0;
    border-radius: 3px;
    color: #3C4858;
    text-transform: capitalize;
    font-size: 12px;
    padding: 12px 5px;
}

.sidebar .sidebar-background {
    position: absolute;
    z-index: 1;
    height: 100%;
    width: 100%;
    display: block;
    top: 0;
    left: 0;
    background-size: cover;
    background-position: 50%
}

.sidebar .sidebar-background:after {
    position: absolute;
    z-index: 3;
    width: 100%;
    height: 100%;
    content: "";
    display: block;
    background: #fff;
    opacity: .93
}

.sidebar .logo {
    padding: 5px 0 6px;
    margin: 0;
    display: block;
    position: relative;
    z-index: 4;
    border-bottom: solid 1px rgba(214, 213, 213, 0.5);
}

.sidebar .logo a.logo-mini {
    opacity: 1;
    float: left;
    width: 30px;
    text-align: center;
    margin-left: 23px;
    margin-right: 15px
}

.sidebar .logo a.logo-normal {
    display: block;
    opacity: 1;
    transform: translateZ(0)
}

/* .sidebar .logo:after {
    content: "";
    position: absolute;
    bottom: 0;
    right: 15px;
    height: 1px;
    width: calc(100% - 30px);
    background-color: hsla(0, 0%, 71%, .3)
} */

.sidebar .logo p {
    float: left;
    font-size: 20px;
    margin: 10px;
    color: #fff;
    line-height: 20px
}

.sidebar .logo .simple-text {
    text-transform: uppercase;
    padding: 0px 17px 0px 7px;
    display: inline-block;
    font-size: 18px;
    color: #3c4858;
    white-space: nowrap;
    font-weight: 400;
    /* line-height: 30px; */
    /* overflow: hidden */
}

.sidebar .logo-tim {
    border-radius: 50%;
    border: 1px solid #333;
    display: block;
    height: 61px;
    width: 61px;
    float: left;
    overflow: hidden
}

.sidebar .logo-tim img {
    width: 60px;
    height: 60px
}

.sidebar .user {
    padding-bottom: 20px;
    margin: 20px auto 0;
    position: relative
}

.sidebar .user:after {
    content: "";
    position: absolute;
    bottom: 0;
    right: 15px;
    height: 1px;
    width: calc(100% - 30px);
    background-color: hsla(0, 0%, 71%, .3)
}

.sidebar .user .photo {
    width: 34px;
    height: 34px;
    overflow: hidden;
    float: left;
    z-index: 5;
    margin-right: 11px;
    border-radius: 50%;
    margin-left: 23px;
    box-shadow: 0 16px 38px -12px rgba(0, 0, 0, .56), 0 4px 25px 0 rgba(0, 0, 0, .12), 0 8px 10px -5px rgba(0, 0, 0, .2)
}

.sidebar .user .photo img {
    width: 100%
}

.sidebar .user a {
    color: #3c4858;
    padding: .5rem 15px;
    white-space: nowrap
}

.sidebar .user .user-info>a {
    display: block;
    line-height: 18px;
    font-size: 14px
}

.sidebar .user .user-info>a>span {
    display: block;
    position: relative;
    opacity: 1
}

.sidebar .user .user-info .caret {
    position: absolute;
    top: 8px;
    right: 15px
}

.sidebar[data-background-color=black] .nav .nav-item.active [data-toggle=collapse],
.sidebar[data-background-color=black] .nav .nav-item:hover [data-toggle=collapse] {
    color: #fff
}

.sidebar[data-background-color=black] .nav .nav-item.active [data-toggle=collapse] i,
.sidebar[data-background-color=black] .nav .nav-item:hover [data-toggle=collapse] i {
    color: hsla(0, 0%, 100%, .8)
}

.sidebar[data-background-color=black] .simple-text,
.sidebar[data-background-color=black] .user a {
    color: #fff
}

.sidebar[data-background-color=black] .sidebar-background:after {
    background: #000;
    opacity: .8
}

.sidebar[data-background-color=black] .nav li .dropdown-menu .dropdown-item {
    color: #fff
}

.sidebar[data-background-color=red] {
    background-color: #f44336
}

.sidebar[data-background-color=red] .nav .nav-item .nav-link {
    color: #fff
}

.sidebar[data-background-color=red] .nav .nav-item i {
    color: hsla(0, 0%, 100%, .8)
}

.sidebar[data-background-color=red] .nav .nav-item.active [data-toggle=collapse],
.sidebar[data-background-color=red] .nav .nav-item:hover [data-toggle=collapse] {
    color: #fff
}

.sidebar[data-background-color=red] .nav .nav-item.active [data-toggle=collapse] i,
.sidebar[data-background-color=red] .nav .nav-item:hover [data-toggle=collapse] i {
    color: hsla(0, 0%, 100%, .8)
}

.sidebar[data-background-color=red] .simple-text,
.sidebar[data-background-color=red] .user a {
    color: #fff
}

.sidebar[data-background-color=red] .sidebar-background:after {
    background: #f44336;
    opacity: .8
}

.sidebar[data-background-color=red] .logo:after,
.sidebar[data-background-color=red] .nav li.separator:after,
.sidebar[data-background-color=red] .user:after {
    background-color: hsla(0, 0%, 100%, .3)
}

.sidebar[data-background-color=red] .nav li.active>[data-toggle=collapse],
.sidebar[data-background-color=red] .nav li:hover:not(.active)>a {
    background-color: hsla(0, 0%, 100%, .1)
}

.sidebar[data-color=purple] li.active>a {
    background-color: #9c27b0;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(156, 39, 176, .4)
}

/* .sidebar[data-color=azure] li.active>a {
    background-color: #0096d0;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(0, 188, 212, .4)
} */

.sidebar[data-color=green] li.active>a {
    background-color: #4caf50;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(76, 175, 80, .4)
}

.sidebar[data-color=orange] li.active>a {
    background-color: #ff9800;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(255, 152, 0, .4)
}

.sidebar[data-color=danger] li.active>a {
    background-color: #f44336;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(244, 67, 54, .4)
}

.sidebar[data-color=rose] li.active>a {
    background-color: #e91e63;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(233, 30, 99, .4)
}

.sidebar[data-color=white] li.active>a {
    background-color: #fff;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px hsla(0, 0%, 100%, .4)
}

.sidebar[data-color=white] .nav .nav-item.active>a:not([data-toggle=collapse]) {
    color: #3c4858;
    opacity: 1;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(60, 72, 88, .4)
}

.sidebar[data-color=white] .nav .nav-item.active>a:not([data-toggle=collapse]) i {
    color: rgba(60, 72, 88, .8)
}

.sidebar.has-image:after,
.sidebar[data-image]:after {
    opacity: .77
}
/* MMAIN TOP NAVBAR */
.navbar {
    border: 0;
    border-radius: 3px;
    padding: .625rem 0;
    margin-bottom: 20px;
    height: auto!important;
    color: #555;
    background-color: #fff!important;
    /* box-shadow: 0 4px 18px 0 rgba(0, 0, 0, .12), 0 7px 10px -5px rgba(0, 0, 0, .15) */
}

.navbar .dropdown-item:focus,
.navbar .dropdown-item:hover {
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px hsla(0, 0%, 100%, .4);
    background-color: #fff;
    color: #555
}

.navbar .navbar-toggler .navbar-toggler-icon {
    background-color: #555
}

.navbar.fixed-top {
    border-radius: 0
}
.fixed-top h5 {
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 0.6px;
}

.navbar .navbar-nav .nav-item .nav-link {
    position: relative;
    color: inherit;
    padding: .9375rem;
    font-weight: 400;
    font-size: 12px;
    text-transform: uppercase;
    border-radius: 3px;
    line-height: 20px
}

.navbar .navbar-nav .nav-item .nav-link:not(.btn-just-icon) .fa {
    position: relative;
    top: 2px;
    margin-top: -4px;
    margin-right: 4px
}

.navbar .navbar-nav .nav-item .nav-link .fa,
.navbar .navbar-nav .nav-item .nav-link .material-icons {
    font-size: 1.25rem;
    max-width: 24px;
    margin-top: -1.1em
}

.navbar .navbar-nav .nav-item .nav-link:not(.btn) .material-icons {
    margin-top: -7px;
    top: 3px;
    position: relative;
    margin-right: 3px
}

.navbar .navbar-nav .nav-item .nav-link.profile-photo {
    padding: 0;
    margin: 0 3px
}

.navbar .navbar-nav .nav-item .nav-link.profile-photo:after {
    display: none
}

.navbar .navbar-nav .nav-item .nav-link.profile-photo .profile-photo-small {
    height: 40px;
    width: 40px
}

.navbar .navbar-nav .nav-item .nav-link.profile-photo .ripple-container {
    border-radius: 50%
}

.navbar .navbar-nav .dropdown-menu-right {
    transform-origin: 100% 0
}

.navbar .navbar-nav .nav-item.active .nav-link,
.navbar .navbar-nav .nav-item.active .nav-link:focus,
.navbar .navbar-nav .nav-item.active .nav-link:hover {
    color: inherit;
    background-color: hsla(0, 0%, 100%, .1)
}

.navbar .btn,
.navbar .navbar-nav .nav-item .btn {
    margin-top: 0;
    margin-bottom: 0
}

.navbar .navbar-toggler {
    cursor: pointer;
    outline: 0;
}

.navbar .navbar-toggler .navbar-toggler-icon {
    width: 18px;
    height: 2px;
    vertical-align: middle;
    outline: 0;
    display: block;
    border-radius: 1px
}
.navbar-toggler{
    padding: 5px 0px 5px 5px !important;
    position: relative;
    top: 3px;
}

.navbar .navbar-toggler .navbar-toggler-icon+.navbar-toggler-icon {
    margin-top: 4px
}

.navbar.navbar-absolute {
    position: absolute;
    width: 100%;
    padding: 0px;
    z-index: 1029
}

.navbar.navbar-fixed {
    position: fixed;
    width: inherit;
    padding: 0px;
    z-index: 999;
    border-radius: 0;
}

.navbar .navbar-wrapper {
    display: inline-flex;
    align-items: center
}

.navbar .navbar-brand {
    /* position: relative;
    color: inherit;
    height: 48px;
    font-size: 1.125rem;
    line-height: 30px;
    padding: .625rem 0;
    font-weight: 300;
    margin-left: 1rem; */
    display: none;
}

.navbar>.container {
    flex: 1
}

.navbar.bg-primary {
    color: #fff;
    background-color: #9c27b0!important;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 12px -5px rgba(156, 39, 176, .46)
}

.navbar.bg-primary .dropdown-item:focus,
.navbar.bg-primary .dropdown-item:hover {
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(156, 39, 176, .4);
    background-color: #9c27b0;
    color: #fff
}

.navbar.bg-primary .navbar-toggler .navbar-toggler-icon {
    background-color: #fff
}

.navbar.bg-info {
    color: #fff;
    background-color: #00bcd4!important;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 12px -5px rgba(0, 188, 212, .46)
}

.navbar.bg-info .dropdown-item:focus,
.navbar.bg-info .dropdown-item:hover {
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(0, 188, 212, .4);
    background-color: #00bcd4;
    color: #fff
}

.navbar.bg-info .navbar-toggler .navbar-toggler-icon {
    background-color: #fff
}

.navbar.bg-warning {
    color: #fff;
    background-color: #ff9800!important;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 12px -5px rgba(255, 152, 0, .46)
}

.navbar.bg-warning .dropdown-item:focus,
.navbar.bg-warning .dropdown-item:hover {
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(255, 152, 0, .4);
    background-color: #ff9800;
    color: #fff
}

.navbar.bg-warning .navbar-toggler .navbar-toggler-icon {
    background-color: #fff
}

.navbar.bg-rose {
    color: #fff;
    background-color: #e91e63!important;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 12px -5px rgba(233, 30, 99, .46)
}

.navbar.bg-rose .dropdown-item:focus,
.navbar.bg-rose .dropdown-item:hover {
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(233, 30, 99, .4);
    background-color: #e91e63;
    color: #fff
}

.navbar.bg-rose .navbar-toggler .navbar-toggler-icon {
    background-color: #fff
}

.navbar.bg-danger {
    color: #fff;
    background-color: #f44336!important;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 12px -5px rgba(244, 67, 54, .46)
}

.navbar.bg-danger .dropdown-item:focus,
.navbar.bg-danger .dropdown-item:hover {
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(244, 67, 54, .4);
    background-color: #f44336;
    color: #fff
}

.navbar.bg-danger .navbar-toggler .navbar-toggler-icon {
    background-color: #fff
}

.navbar.bg-success {
    color: #fff;
    background-color: #4caf50!important;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 12px -5px rgba(76, 175, 80, .46)
}

.navbar.bg-success .dropdown-item:focus,
.navbar.bg-success .dropdown-item:hover {
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(76, 175, 80, .4);
    background-color: #4caf50;
    color: #fff
}

.navbar.bg-success .navbar-toggler .navbar-toggler-icon {
    background-color: #fff
}

.navbar.bg-dark {
    color: #fff;
    background-color: #212121!important;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 12px -5px rgba(33, 33, 33, .46)
}

.navbar.bg-dark .dropdown-item:focus,
.navbar.bg-dark .dropdown-item:hover {
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, .14), 0 7px 10px -5px rgba(33, 33, 33, .4);
    background-color: #212121;
    color: #fff
}

.navbar.bg-dark .navbar-toggler .navbar-toggler-icon {
    background-color: #fff
}

.navbar.navbar-transparent {
    background-color: transparent!important;
    box-shadow: none
}

.navbar .notification {
    position: absolute;
    top: 5px;
    border: 1px solid #fff;
    right: 10px;
    font-size: 9px;
    background: #f44336;
    color: #fff;
    min-width: 20px;
    padding: 0 5px;
    height: 20px;
    border-radius: 10px;
    text-align: center;
    line-height: 19px;
    vertical-align: middle;
    display: block
}

.navbar .navbar-minimize {
    padding: 3px 0 0 15px
}

.navbar .collapse .navbar-nav .nav-item .nav-link {
    position: relative;
    padding: 6px 15px;
    font-weight: 400;
    font-size: 12px;
    text-transform: uppercase;
    border-radius: 3px;
    line-height: 20px;
    margin-left: 5px;
    color: #ffffff !important;
}

.navbar .collapse .navbar-nav .nav-item .nav-link:not(.btn-just-icon) .fa {
    position: relative;
    top: 2px;
    margin-top: -4px;
    margin-right: 4px
}

.navbar .collapse .navbar-nav .nav-item .nav-link .fa,
.navbar .collapse .navbar-nav .nav-item .nav-link .material-icons {
    font-size: 1.25rem;
    max-width: 24px;
    margin-top: -1.1em
}

.navbar .collapse .navbar-nav .nav-item .nav-link:not(.btn) .material-icons {
    margin-top: 0px;
    top: 4px;
    position: relative;
    margin-right: 0px;
    font-size: 30px;
}

.navbar .collapse .navbar-nav .nav-item .nav-link .notification {
    top: 0
}
/* Mega menu style  */
.mega-menu-config-modal {
    max-width: 85%;
}
.mega-menu-config-modal .modal-body{
    box-shadow: 0px 16px 40px 0px rgba(76, 62, 62, 0.15);
}
.mega-menu-config-modal  {
    margin: 0 !important;
    float: right;
    top: 2.5rem;
    right: 8rem;
    max-width: 80% !important;
}
.mega-menu-config-modal .modal-body {
    box-shadow: 0px 16px 40px 0px rgba(76, 62, 62, 0.15);
}
.setting-megaMenu {
    display: flex;
}
.megamenu-column {
    padding: 0 10px;
}
.megamenu-header {
    font-size: 16px;
    font-weight: 700;
    border-bottom: 1px solid #d8d8d8;
    padding-bottom: 12px;
    padding-left: 5px;
    color: rgba(0, 0, 0, 0.87);
}
.megamenu-column .child-menu-text {
    display: block;
    padding: 10px;
    font-size: 14px;
    transition: .5s ease-in-out all;
    color: rgba(0, 0, 0, 0.87);
}
.megamenu-column .child-menu-text:hover {
    background: #eaf9fe;
    border-radius: 4px;
}
/* .megamenu-column:last-child div {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-column-gap: 20px;
} */

.megamenu-column:last-child div {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 20px;
}
  .megamenu-column-2:last-child div {
    grid-template-columns: repeat(2, 1fr);
  }
  .megamenu-column-1:last-child div {
    grid-template-columns: repeat(1, 1fr);
  }


@media (min-width:991px) {
    .sidebar-mini .visible-on-sidebar-regular {
        display: none!important
    }
    .sidebar-mini .visible-on-sidebar-mini {
        display: inline-block!important
    }
    .sidebar-mini .sidebar,
    .sidebar-mini .sidebar .sidebar-wrapper {
        width: 45px;
    }
    .sidebar-mini .main-panel {
        width: calc(100% - 45px);
    }
    .sidebar-mini .sidebar {
        display: block;
        font-weight: 200;
        z-index: 9999
    }
    .sidebar-mini .sidebar .logo a.logo-normal,
    .sidebar-mini .sidebar .sidebar-wrapper .user .user-info>a>span,
    .sidebar-mini .sidebar .sidebar-wrapper .user .user-info [data-toggle=collapse]~div>ul>li>a .sidebar-normal,
    .sidebar-mini .sidebar .sidebar-wrapper>.nav [data-toggle=collapse]~div>ul>li>a .sidebar-normal,
    .sidebar-mini .sidebar .sidebar-wrapper>.nav li>a p {
        opacity: 0;
        transform: translate3d(-25px, 0, 0)
    }

    .sidebar-mini .sidebar-wrapper:hover { 
        width: 230px;
    }  
    .sidebar-mini .sidebar-wrapper:hover .logo a.logo-normal { 
        opacity: 1; 
        transform: translateZ(0) 
   }
   .sidebar-mini .sidebar-wrapper:hover .user .user-info>a>span,
   .sidebar-mini .sidebar-wrapper:hover .user .user-info [data-toggle=collapse]~div>ul>li>a .sidebar-normal,
   .sidebar-mini .sidebar-wrapper:hover .nav [data-toggle=collapse]~div>ul>li>a .sidebar-normal,
   .sidebar-mini .sidebar-wrapper:hover .nav li>a p {
       transform: translateZ(0);
       opacity: 1
   }
}
@media (max-width:991px) {
    .cmp-name{
        width: auto;
    }
    .navbar-minimize {
        pointer-events: none;
    }
    .sidebar .logo{
        border-bottom: none;
        padding: 0;
    }
}

.form-check-input:disabled~.form-check-label {
    color: #6c757d !important;
    pointer-events: none !important;
}
